%% Skript pro úpravu dat z databáze AFIO za účelem jejich dalšího zpracování
% Nejprve došlo k ořezu snímků a následně k vygenerování segmentační masky
% a obrazu, který má černé pozadí a jsou v něm klasifikovány cévy na tepny
% (červená) a žíly (modrá). Cévy byly klasifikovány experty.

%% Ořez snímků
clear; clc
img = imread('IM006106.JPG');
seg = imread('IM006106--vessels.jpg');
class = imread('IM006106--both.jpg');

img_orez = imcrop(img, [195 68 1068 908]);
seg_orez = imcrop(seg, [195 68 1068 908]);
class_orez = imcrop(class, [195 68 1068 908]);
imwrite(img_orez, 'afio100_img.tif')
imwrite(seg_orez, 'afio100_seg_pom.tif')
imwrite(class_orez, 'afio100_class_pom.tif')

%% Generování segmentační maska a obrazu s klasifikovanými cévami
clear; clc
seg = imread('afio100_seg_pom.tif');
class = imread('afio100_class_pom.tif');

segBW = ~imbinarize(seg);
[r, g, b] = imsplit(segBW);
segBW_cat = cat(3, r, g, b);
labels = immultiply(segBW_cat, class);
imwrite(r, 'afio100_seg.tif')
imwrite(labels, 'afio100_class.tif')
